@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;
  }
}
/* --------------------Khoi tao thuoc tinh ban dau cho toan bo cac page------------------------------- */
body {
  margin: 0; /* Loại bỏ khoảng margin mặc định của trình duyệt */
  padding: 0; /* Loại bỏ khoảng padding mặc định của trình duyệt */
  font-family: 'Arial', sans-serif; /* Thiết lập font chữ mặc định */
  font-size: 16px; /* Thiết lập kích thước chữ mặc định */
  line-height: 1.6; /* Độ cao dòng mặc định */
  color: #333; /* Màu chữ mặc định */
  background-color: #fff; /* Màu nền mặc định */
  -webkit-font-smoothing: antialiased; /* Cải thiện hiển thị font trên các trình duyệt Webkit (Chrome, Safari) */
  -moz-osx-font-smoothing: grayscale; /* Cải thiện hiển thị font trên macOS */
  text-rendering: optimizeLegibility; /* Tối ưu hóa hiển thị chữ */
  box-sizing: border-box; /* Kích thước của phần tử bao gồm cả padding và border, không tính margin */
}

/* Đặt lại một số giá trị mặc định cho các thẻ phổ biến */
h1, h2, h3, h4, h5, h6 {
  margin: 0;
  font-weight: normal;
}

/* Thiết lập hiển thị cho phần tử block */
p, ul, ol, dl, figure, table, blockquote {
  margin: 0;
}

/* Thiết lập phần tử mà không muốn chia sẻ width với phần tử khác */
img, video {
  max-width: 100%;
  height: auto;
}

/* Ẩn các phần tử không mong muốn khi in trang */
@media print {
  body {
    visibility: hidden;
  }
  .print-visible {
    visibility: visible;
  }
}
/* -------------------------------------------------------------------------------------------------- */
